/*
 * (c) 2023-2024 Jens Mueller
 *
 * JKCLOAD
 *
 * Erweiterter ByteArrayOutputStream,
 * bei dem man die hineingeschriebenen Daten nachtraeglich
 * mit einer ODER-Verknuepfung veraendern kann
 */

package jkcload.audio;

import java.io.ByteArrayOutputStream;


public class ExtByteArrayOutputStream extends ByteArrayOutputStream
{
  public ExtByteArrayOutputStream( int size )
  {
    super( size );
  }


  public void orToEnd( int idx, int value )
  {
    while( idx < this.count ) {
      this.buf[ idx++ ] |= (byte) value;
    }
  }


  public void orToEnd( int idx, int value, int mask )
  {
    while( idx < this.count ) {
      this.buf[ idx ] = (byte) ((this.buf[ idx ] & ~mask) | (value & mask));
      idx++;
    }
  }
}
